﻿using System.Windows.Forms;

/**
     * Allows the user to draw on a panel with double buffering enabled.
     */
public class SelfDrawPanel : Panel
{
    
    public SelfDrawPanel()
    {
        this.SetStyle(ControlStyles.DoubleBuffer |
        ControlStyles.UserPaint |
        ControlStyles.AllPaintingInWmPaint,
        true);

        this.UpdateStyles();
    }
}