﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WordTree
{
    /**
     * Form for changing the bezier length.
     */
    public partial class Form2 : Form
    {
        private Panel panel1;

        public Form2(Panel _panel1, float initialValue)
        {
            panel1 = _panel1;
            InitializeComponent();
            trackBar1.Value = (int)(initialValue*trackBar1.Maximum);
        }

        private void trackBar1_Scroll(object sender, EventArgs e)
        {
            WordTree.bezierScaling = (float)trackBar1.Value / (float)trackBar1.Maximum;
            panel1.Invalidate();
        }
    }
}
